Linuxdoc Linux Questions
Click here to ask our community of linux experts!
Custom Search

2.7. Java 2 SDK, Java 3D extension, and Java PlugIn for Netscape (optional)

The following file is available at http://www.blackdown.org/:

Note that to install these Java files, your system needs to have glibc 2.1.3 or later. To check your version of glibc:


          ls -l /lib/libc*
        
On rpm-based systems (like RedHat and Mandrake), you can try:

          rpm -q glibc
                

To use any Java on your system, you must also install the Java Software Development Kit (JSDK) 1.3.1 or later from java.sun.com. The Blackdown version of the JSDK will also work.

The Java 3D media extension contains many 3D demo programs/applets and takes advantage of the OpenGL hardware acceleration on the system. The Java 3D API uses the OpenGL API internally. The demos run as normal Java applications and also as applets inside Netscape via the Java PlugIn, or inside KDE's Konqueror by directly using the Java runtime (JRE).